Екипите по сигурността, грижещи се за най-популярния уеб сървърен софтуер Apache HTTP Server адресираха тази седмица критична уязвимост с нова версия.

Открита от инженер от Ambionics с името Чарлс Фол, уязвимостта позволява присвояване на пълни администраторски права и фактическото превземане на ресурса, изграден на основата на Apache. Carpe Diem, каквото име ѝ дава Фол, засяга версии от 2.4.17 до 2.4.38.

CVE-2019-0211 засяга възможността за неразрешено повишение на привилегиите, което може да бъде осъществено в сценарий, наричан „елегантен рестарт“ (graceful restart) – ситуация, при която на съществуващите сървърни нишки им е позволено да завършат задачата си в активен в момента уебсайт. Фол е открил, че при рестарта възниква възможност за процес, който притежава ниски привилегии да повиши дадените му права до администраторски посредством скрипт, чрез PHP или CGI, отбелязва той.

Атакуващата страна трябва да има локален достъп или да е част от споделена хостинг среда, в която множество уебсайтове споделят един IP адрес. Това означава, че всяка компания или човек, който в момента поддържа уебсайт в подобна среда, трябва незабавно да премине към използването на версия 2.4.39, отбелязват на свой ред от Naked Security. Те отбелязват, че изискването за локален достъп може да бъде преодоляно лесно от атакуващата страна – чрез експлойт за уязвимост, позволяваща изпълнението на код по дистанционен път.

ДОБАВИ КОМЕНТАР

  Абонирай се  
Извести ме за